Building gcc 3.3.2 on HPUX11.11 - make bootstrap (stage3) fails: Bootstrap comparison failure!

Scelers, Philippe philippe_scelers@mentorg.com
Fri Mar 12 13:03:00 GMT 2004


sorry, typo error in title, please read "gcc3.2.3"

Philippe Scelers wrote:

> Hi
> I cannot build gcc 3.2.3 on HP-UX 11.i
> Note: I get the same error on HP-UX 11.00.
>
> Configure step:
> ./configure
> --prefix=/free/GNU_BUILD/G1/devenv/distrib/9000/785/B.11.11/gcc-3.2.3
> --enable-languages=c,c++,f77 --disable-nls
>    Configuring for a hppa2.0w-hp-hpux11.11 host.
>    *** This configuration is not supported in the following 
> subdirectories:
>         target-libffi target-boehm-gc target-zlib target-libjava zlib
> fastjar target-libobjc
>        (Any other directories should still work fine.)
>
> Make step:
> make bootstrap
>  I get an error at stage3: Bootstrap comparison failure!
>    make[2]: Leaving directory
> `/tmp_mnt/free/GNU_BUILD/G1/devenv/build_src/9000/785/B.11.11/gcc-3.2.3/gcc'
>    echo timestamp > stage3_build
>    echo stage3_build > stage_last
>
>    Bootstrap complete - make "quickstrap" to redo last build,
>    "restage1" through "restage3" to rebuild specific stages,
>    or "cleanstrap" to redo the bootstrap from scratch.
>    make[1]: Leaving directory
> `/tmp_mnt/free/GNU_BUILD/G1/devenv/build_src/9000/785/B.11.11/gcc-3.2.3/gcc'
>    Comparing stage2 and stage3 of the compiler
>    make[1]: Entering directory
> `/tmp_mnt/free/GNU_BUILD/G1/devenv/build_src/9000/785/B.11.11/gcc-3.2.3/gcc'
>    rm -f .bad_compare
>    ......
>    Bootstrap comparison failure!
>    alias.o differs
>    ..... (lot of object files differs)
>
> Did I missed something? options? prerequisites?
>
>
> As a workaroud, I try to build binutils-2.14 to configure gcc-3.2.3 with
> GNU ld and GNU as
> Unfortunately GNU ld is not supported, see message below
> Configure step:
> ./configure
> --prefix=/free/GNU_BUILD/G1/tools/distrib/9000/785/B.11.11/binutils-2.14
> --disable-nls
>    creating cache ./config.cache
>    checking host system type... hppa2.0w-hp-hpux11.11
>    checking target system type... hppa2.0w-hp-hpux11.11
>    checking build system type... hppa2.0w-hp-hpux11.11
>    *** This configuration is not supported in the following 
> subdirectories:
>         ld
>        (Any other directories should still work fine.)
>    /usr/ccs/bin/ld: (Warning) At least one PA 2.0 object file
> (conftest.o) was detected. The linked output may not run on a PA 1.x 
> system.
>
>
> I cannot figure out to build gcc-3.2.3 on HP-UX 11.i (and HP-UX 11.00)
>
> Thank you for help,



-- 
Philippe Scelers



More information about the Gcc-help mailing list